Page MenuHomePhabricator

[LNT] Fixed incomplete feature for submit JSON to a local instance
ClosedPublic

Authored by kpdev42 on Sep 10 2021, 1:15 AM.

Details

Summary

LNT parses the test suite from the specified url for the submit command. But the suite is always default (nts) in case of using a local path to the instance instead of the url. This patch allows to specify the test suite in the submit command.

Diff Detail

Repository
rLNT LNT

Event Timeline

kpdev42 created this revision.Sep 10 2021, 1:15 AM
kpdev42 requested review of this revision.Sep 10 2021, 1:15 AM
thopre added inline comments.Sep 10 2021, 1:59 AM
lnt/lnttool/main.py
188
194–197

Why is this necessary?

lnt/server/db/rules/rule_update_fixed_regressions.py
119 ↗(On Diff #371813)

Spurious change, please split into a separate patch. Likewise for the two below whitespace changes

slydiman added inline comments.
lnt/lnttool/main.py
194–197

Note if the url contains the link to the server everything will be submitted and processed on the server where hooks and logs are already initialized. But if the url is a local path to the instance everything will be processed locally inside this process. It is necessary to register hooks to process regressions correctly. And it is necessary to init stdout logs too. Note the url condition is the same as in ServerUtil.py, line 92.

kpdev42 added inline comments.Sep 15 2021, 6:22 AM
lnt/server/db/rules/rule_update_fixed_regressions.py
119 ↗(On Diff #371813)

Removed from this patch

kpdev42 updated this revision to Diff 372692.Sep 15 2021, 6:24 AM

Removed cosmetic changes in lnt/server/db/rules/rule_update_fixed_regressions.py

kpdev42 updated this revision to Diff 372694.Sep 15 2021, 6:26 AM

Change help message for testsuite option

kpdev42 updated this revision to Diff 373561.Sep 20 2021, 5:39 AM
kpdev42 marked an inline comment as done.
thopre accepted this revision.Sep 21 2021, 2:33 AM

LGTM

This revision is now accepted and ready to land.Sep 21 2021, 2:33 AM
This revision was landed with ongoing or failed builds.Sep 21 2021, 9:03 AM
This revision was automatically updated to reflect the committed changes.